Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class JMSConnectionProxy

    java.lang.Object
      org.codehaus.activemq.ra.JMSConnectionProxy

All Implemented Interfaces:
  Connection, QueueConnection, TopicConnection

public class JMSConnectionProxy
extends java.lang.Object
implements Connection, QueueConnection, TopicConnection

Acts as a pass through proxy for a JMS Connection object. It intercepts events that are of interest of the ActiveMQManagedConnection.

Version:
  $Revision: 1.8 $

Constructor Summary
`JMSConnectionProxy(ActiveMQManagedConnection managedConnection)`

Method Summary
`void` | `cleanup()` Called by the ActiveMQManagedConnection to invalidate this proxy.
`void` | `close()` Used to let the ActiveMQManagedConnection that this connection handel is not needed by the app.
`ConnectionConsumer` | `createConnectionConsumer(Destination destination, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
`ConnectionConsumer` | `createConnectionConsumer(Queue queue, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
`ConnectionConsumer` | `createConnectionConsumer(Topic topic, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
`ConnectionConsumer` | `createDurableConnectionConsumer(Topic topic, java.lang.String subscriptionName, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)`
`QueueSession` | `createQueueSession(boolean transacted, int acknowledgeMode)`
`Session` | `createSession(boolean transacted, int acknowledgeMode)`
`TopicSession` | `createTopicSession(boolean transacted, int acknowledgeMode)`
`java.lang.String` | `getClientID()`
`ExceptionListener` | `getExceptionListener()`
`ActiveMQManagedConnection` | `getManagedConnection()`
`ConnectionMetaData` | `getMetaData()`
`void` | `setClientID(java.lang.String clientID)`
`void` | `setExceptionListener(ExceptionListener listener)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSConnectionProxy

    public JMSConnectionProxy(ActiveMQManagedConnection managedConnection)

Method Detail

### close

    public void close()
               throws JMSException

  Used to let the ActiveMQManagedConnection that this connection handel is not needed by the app.

  Specified by:
    `close` in interface `Connection`
  Throws:
    `JMSException`

### cleanup

    public void cleanup()

  Called by the ActiveMQManagedConnection to invalidate this proxy.

### createSession

    public Session createSession(boolean transacted,
                                 int acknowledgeMode)
                          throws JMSException

  Specified by:
    `createSession` in interface `Connection`
  Parameters:
    `transacted` -
    `acknowledgeMode` -
  Returns:
  Throws:
    `JMSException`

### createQueueSession

    public QueueSession createQueueSession(boolean transacted,
                                           int acknowledgeMode)
                                    throws JMSException

  Specified by:
    `createQueueSession` in interface `QueueConnection`
  Parameters:
    `transacted` -
    `acknowledgeMode` -
  Returns:
  Throws:
    `JMSException`

### createTopicSession

    public TopicSession createTopicSession(boolean transacted,
                                           int acknowledgeMode)
                                    throws JMSException

  Specified by:
    `createTopicSession` in interface `TopicConnection`
  Parameters:
    `transacted` -
    `acknowledgeMode` -
  Returns:
  Throws:
    `JMSException`

### getClientID

    public java.lang.String getClientID()
                                 throws JMSException

  Specified by:
    `getClientID` in interface `Connection`
  Returns:
  Throws:
    `JMSException`

### getExceptionListener

    public ExceptionListener getExceptionListener()
                                           throws JMSException

  Specified by:
    `getExceptionListener` in interface `Connection`
  Returns:
  Throws:
    `JMSException`

### getMetaData

    public ConnectionMetaData getMetaData()
                                   throws JMSException

  Specified by:
    `getMetaData` in interface `Connection`
  Returns:
  Throws:
    `JMSException`

### setClientID

    public void setClientID(java.lang.String clientID)
                     throws JMSException

  Specified by:
    `setClientID` in interface `Connection`
  Parameters:
    `clientID` -
  Throws:
    `JMSException`

### setExceptionListener

    public void setExceptionListener(ExceptionListener listener)
                              throws JMSException

  Specified by:
    `setExceptionListener` in interface `Connection`
  Parameters:
    `listener` -
  Throws:
    `JMSException`

### start

    public void start()
               throws JMSException

  Specified by:
    `start` in interface `Connection`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Specified by:
    `stop` in interface `Connection`
  Throws:
    `JMSException`

### createConnectionConsumer

    public ConnectionConsumer createConnectionConsumer(Queue queue,
                                                       java.lang.String messageSelector,
                                                       ServerSessionPool sessionPool,
                                                       int maxMessages)
                                                throws JMSException

  Specified by:
    `createConnectionConsumer` in interface `QueueConnection`
  Parameters:
    `queue` -
    `messageSelector` -
    `sessionPool` -
    `maxMessages` -
  Returns:
  Throws:
    `JMSException`

### createConnectionConsumer

    public ConnectionConsumer createConnectionConsumer(Topic topic,
                                                       java.lang.String messageSelector,
                                                       ServerSessionPool sessionPool,
                                                       int maxMessages)
                                                throws JMSException

  Specified by:
    `createConnectionConsumer` in interface `TopicConnection`
  Parameters:
    `topic` -
    `messageSelector` -
    `sessionPool` -
    `maxMessages` -
  Returns:
  Throws:
    `JMSException`

### createConnectionConsumer

    public ConnectionConsumer createConnectionConsumer(Destination destination,
                                                       java.lang.String messageSelector,
                                                       ServerSessionPool sessionPool,
                                                       int maxMessages)
                                                throws JMSException

  Specified by:
    `createConnectionConsumer` in interface `Connection`
  Parameters:
    `destination` -
    `messageSelector` -
    `sessionPool` -
    `maxMessages` -
  Returns:
  Throws:
    `JMSException`

### createDurableConnectionConsumer

    public ConnectionConsumer createDurableConnectionConsumer(Topic topic,
                                                              java.lang.String subscriptionName,
                                                              java.lang.String messageSelector,
                                                              ServerSessionPool sessionPool,
                                                              int maxMessages)
                                                       throws JMSException

  Specified by:
    `createDurableConnectionConsumer` in interface `Connection`
  Parameters:
    `topic` -
    `subscriptionName` -
    `messageSelector` -
    `sessionPool` -
    `maxMessages` -
  Returns:
  Throws:
    `JMSException`

### getManagedConnection

    public ActiveMQManagedConnection getManagedConnection()

  Returns:
    Returns the managedConnection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.